aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher (jlec) <jlec@j-schmitz.net>2009-10-23 21:40:50 +0200
committerJustin Lecher (jlec) <jlec@j-schmitz.net>2009-10-23 21:41:06 +0200
commit34180a4d59a026fd12ca6e5676132b2ebd8892c0 (patch)
treec03c315b181892f0f7b7b25fc097e3eda548b16b /sci-electronics
parentAdded gcb (diff)
downloadsci-34180a4d59a026fd12ca6e5676132b2ebd8892c0.tar.gz
sci-34180a4d59a026fd12ca6e5676132b2ebd8892c0.tar.bz2
sci-34180a4d59a026fd12ca6e5676132b2ebd8892c0.zip
sci-electronics/linsmith version bump
patch created by TomJBE (Portage version: 2.2_rc46/git/Linux x86_64) (Signed Manifest commit)
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/linsmith/ChangeLog9
-rw-r--r--sci-electronics/linsmith/Manifest16
-rw-r--r--sci-electronics/linsmith/linsmith-0.99.1.ebuild59
-rw-r--r--sci-electronics/linsmith/linsmith-0.99.11.ebuild58
4 files changed, 79 insertions, 63 deletions
diff --git a/sci-electronics/linsmith/ChangeLog b/sci-electronics/linsmith/ChangeLog
index cd013f628..3741d4974 100644
--- a/sci-electronics/linsmith/ChangeLog
+++ b/sci-electronics/linsmith/ChangeLog
@@ -1,7 +1,14 @@
# ChangeLog for sci-electronics/linsmith
-# Copyright 1999-2005 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*linsmith-0.99.11 (23 Oct 2009)
+
+ 23 Oct 2009; Justin Lecher (jlec) <jlec@j-schmitz.net>
+ -linsmith-0.99.1.ebuild, +linsmith-0.99.11.ebuild:
+ version bump
+ patch supllied by TomJBE
+
*linsmith-0.99.1 (15 Jul 2006)
15 Jul 2006; Lucas Chiesa <lucas.chiesa@gmail.com> linsmith-0.99.1.ebuild:
diff --git a/sci-electronics/linsmith/Manifest b/sci-electronics/linsmith/Manifest
index 48aab741a..2ba15d590 100644
--- a/sci-electronics/linsmith/Manifest
+++ b/sci-electronics/linsmith/Manifest
@@ -1,5 +1,15 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
AUX linsmith-datafiles.patch 757 RMD160 61cbef351c36677c6a894e3c017c1f57a5724b00 SHA1 54a13968f2593868d483fc221899141f95b61f8d SHA256 b39d2ece3aac52e0bfe35010c436771aa9fa623f2508f290d36e40853fe979ce
-DIST linsmith-0.99.1.tar.gz 949495 RMD160 abfd52f666bdd41959883160fcd8c16c1f398302 SHA1 b892b3dfdc4ea5575fc132fca32e5ff1b4ecef48 SHA256 5f58d0419f77be3b9f8e308dda3844121f0b6498e9cdd8f91ba72214a780b3b7
-EBUILD linsmith-0.99.1.ebuild 1437 RMD160 27722c1753caeac6eab30c7e61f6d7b78dffa105 SHA1 122d3002ad8d61dd45fb5f788a64e993403cc4e4 SHA256 9938543742745fdaae8f71ca6f2ce133e08a0f492b7b8eacf10c51b3c0d5a001
-MISC ChangeLog 1810 RMD160 30f98154ce8ebf59d3407f4aacc8800d7d738743 SHA1 6f4b49a54f89440a0c8d9d5ca69a971341d2d32d SHA256 958f30994e4c89fd5d694eed230f01aed969f00f9d71e97130095fee3d555d36
+DIST linsmith-0.99.11.tar.gz 1089917 RMD160 262d570654471c1fdb33dc6d399b6f54ca64a6e1 SHA1 b970e5a21a43dd7d551f6831b1e281ab36009a4a SHA256 ed14e0c791d26aefa98d537102098eb6b5b76ab84eebd54b6a1ed655d89d2523
+EBUILD linsmith-0.99.11.ebuild 1466 RMD160 c38a119137c7dc62b36eccfc8ea3c499c04f04e7 SHA1 d1ecbb263093355303752abc31f73b07a830457f SHA256 4e559d21e333e18de648096192a59d04f8da32fd55db025b00c6d3d228dc4900
+MISC ChangeLog 1996 RMD160 ec287b82332bf74edb754d5501cfd294e2557f6c SHA1 2f94ef4f1072a9dd891f1fe712b1da25530bca56 SHA256 d8cda07352855b298248b3b0166b221536f0e7602f3bb285150450e8919edfd6
MISC metadata.xml 272 RMD160 c1308e7326e25dcbbd93cebf0e45e230909a73cd SHA1 e94b2b237bd541fa1e9ccfd44ce303b4d29efee0 SHA256 ed4065c0dd146c683a3c9a21e3f021d3764696faa99abd43919ebd16d8fb9bed
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.11 (GNU/Linux)
+
+iEYEARECAAYFAkriBsIACgkQgAnW8HDreRaBCwCgtIrxqznknvCefCIRy8fG4fNb
+X1MAoLNNBC+VPaIlgQc7kIi5yt/EU55V
+=3h/z
+-----END PGP SIGNATURE-----
diff --git a/sci-electronics/linsmith/linsmith-0.99.1.ebuild b/sci-electronics/linsmith/linsmith-0.99.1.ebuild
deleted file mode 100644
index a986fa744..000000000
--- a/sci-electronics/linsmith/linsmith-0.99.1.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils
-
-DESCRIPTION="linSmith is a Smith Charting program, mainly designed for educational use"
-HOMEPAGE="http://jcoppens.com/soft/linsmith/index.en.php"
-SRC_URI="mirror://sourceforge/linsmith/${P}.tar.gz"
-
-LICENSE="GPL-2 LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc examples"
-
-DEPEND=">=gnome-base/libgnomeprint-2.10.3
- >=dev-libs/libxml2-2.6.20-r2
- >=gnome-base/libgnomeui-2.10.1"
-RDEPEND=""
-
-src_unpack() {
- unpack ${A}
- cd ${S}
- # This patch is to prevent make install copying
- # the examples in /usr/share/linsmith
- # Now they are cp to the correct location.
- epatch ${FILESDIR}/${PN}-datafiles.patch
-
- einfo "Regenerating autotools files..."
- WANT_AUTOMAKE=1.9 automake || die "automake failed"
-}
-
-src_install() {
- # Delete this file, otherwise it is installed with the pixmaps.
- rm pixmaps/Makefile.am~
-
- make DESTDIR=${D} install || die "make install failed"
-
- insinto "/usr/share/${PN}"
- doins datafiles/conv0809
-
- dodoc AUTHORS NEWS README ChangeLog TODO
- doman doc/linsmith.1
-
- insinto "/usr/share/applications"
- doins linsmith.desktop
- insinto "/usr/share/pixmaps/${PN}"
- doins linsmith_icon.xpm
-
- if use doc; then
- insinto "/usr/share/doc/${PF}"
- doins doc/manual.pdf
- fi
-
- if use examples; then
- insinto "/usr/share/doc/${PF}/examples"
- doins datafiles/*.circ datafiles/*.load
- fi
-}
diff --git a/sci-electronics/linsmith/linsmith-0.99.11.ebuild b/sci-electronics/linsmith/linsmith-0.99.11.ebuild
new file mode 100644
index 000000000..2a6416056
--- /dev/null
+++ b/sci-electronics/linsmith/linsmith-0.99.11.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils autotools
+
+DESCRIPTION="Smith charting program, mainly designed for educational use."
+HOMEPAGE="http://www.jcoppens.com/soft/linsmith/index.en.php"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+RDEPEND=">=gnome-base/libgnomeprint-2.10.3
+ >=dev-libs/libxml2-2.6.20-r2
+ >=gnome-base/libgnomeui-2.10.1"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+src_prepare() {
+ # This patch is to prevent make install copying
+ # the examples in /usr/share/linsmith
+ # Now they are cp to the correct location.
+ epatch "${FILESDIR}"/${PN}-datafiles.patch
+
+ einfo "Regenerating autotools files..."
+ eautoreconf
+}
+
+src_install() {
+ # Delete this file, otherwise it is installed with the pixmaps.
+ rm pixmaps/Makefile.am~
+
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ insinto "/usr/share/${PN}"
+ doins datafiles/conv0809 || die
+
+ dodoc AUTHORS ChangeLog NEWS NOTES README THANKS TODO || die "dodoc failed"
+ doman doc/linsmith.1 || die "doman failed"
+
+ domenu linsmith.desktop || die "domenu failed"
+ doicon linsmith_icon.xpm || die "doicon failed"
+
+ if use doc; then
+ insinto "/usr/share/doc/${PF}"
+ doins doc/manual.pdf || die
+ fi
+
+ if use examples; then
+ insinto "/usr/share/doc/${PF}/examples"
+ doins datafiles/*.circ datafiles/*.load || die
+ fi
+}